Skip to main content
`Ctrl`+`K`

# SNESSetJacobianDomainError

tells `SNES` that the function you provided to `SNESSetJacobian()` at the proposed step. For example there is a negative element transformation.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetJacobianDomainError(SNES snes)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Notes

If this is called the `SNESSolve()` stops iterating and returns with a `SNESConvergedReason` of `SNES_DIVERGED_FUNCTION_DOMAIN`

You should always call `SNESGetConvergedReason()` after each `SNESSolve()` and verify if the iteration converged (positive result) or diverged (negative result).

You can direct `SNES` to avoid certain steps by using `SNESVISetVariableBounds()`, `SNESVISetComputeVariableBounds()` or `SNESLineSearchSetPreCheck()`, `SNESLineSearchSetPostCheck()`

## See Also

SNES: Nonlinear Solvers, `SNESCreate()`, `SNESSetFunction()`, `SNESFunctionFn`, `SNESSetFunctionDomainError()`, `SNESVISetVariableBounds()`, `SNESVISetComputeVariableBounds()`, `SNESLineSearchSetPreCheck()`, `SNESLineSearchSetPostCheck()`, `SNESConvergedReason`, `SNESGetConvergedReason()`

## Level

advanced

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex3.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages